Package org.springframework.http.codec.multipart

# Interface FormPartEvent

All Superinterfaces:
  `PartEvent`

public interface FormPartEvent extends PartEvent
Represents an event triggered for a form field. Contains the value, besides the headers exposed through `PartEvent`.

Multipart form fields trigger one `FormPartEvent`, as described here.

Since:
  6.0
Author:
  Arjen Poutsma

## Method Summary

Modifier and Type
Method
Description
`static reactor.core.publisher.Mono<FormPartEvent>`
`create(String name, String value)`
Creates a stream with a single `FormPartEven` based on the given name and value.
`static reactor.core.publisher.Mono<FormPartEvent>`
`create(String name, String value, Consumer<HttpHeaders> headersConsumer)`
Creates a stream with a single `FormPartEven` based on the given name and value.
`String`
`value()`
Return the form field value.

### Methods inherited from interface org.springframework.http.codec.multipart.PartEvent

`content, headers, isLast, name`

## Method Details

### value

String value()
Return the form field value.

### create

static reactor.core.publisher.Mono<FormPartEvent> create(String name, String value)
Creates a stream with a single `FormPartEven` based on the given name and value.

Parameters:
  `name` - the name of the part
  `value` - the form field value
Returns:
  a single event stream

### create

static reactor.core.publisher.Mono<FormPartEvent> create(String name, String value, @Nullable Consumer<HttpHeaders> headersConsumer)
Creates a stream with a single `FormPartEven` based on the given name and value.

Parameters:
  `name` - the name of the part
  `value` - the form field value
  `headersConsumer` - used to change default headers. Can be `null`.
Returns:
  a single event stream